version: '2'

services:

  mailserver:
    image: "mailhog/mailhog"
    hostname: mailserver
    logging:
      driver: none
    ports:
      - "8025:8025"
      - "1025:1025"

  db:
    image: "mariadb"
    logging:
      driver: none
    environment:
      - MYSQL_ROOT_PASSWORD=docker
      - MYSQL_PASSWORD=docker
      - MYSQL_USER=docker
      - MYSQL_DATABASE=docker
    expose:
      - 3306
    ports:
      - "3306:3306"

  helfertool:
    build: .
    environment:
      - SIP_DEBUG=true
      - SIP_MYSQL_DB_NAME=docker
      - SIP_MYSQL_DB_PORT=3306
      - SIP_MYSQL_DB_PW=docker
      - SIP_MYSQL_DB_SERVER=db
      - SIP_MYSQL_DB_USER=docker
      - SIP_SECRET_KEY=scretkey
      - SIP_SMTP_HELFERTOOL_ENCRYPTION=false
      - SIP_SMTP_HELFERTOOL_FROM_MAIL=helfertool@vseth.ethz.ch
      - SIP_SMTP_HELFERTOOL_HOST=mailserver
      - SIP_SMTP_HELFERTOOL_MAIL_USER=dummy
      - SIP_SMTP_HELFERTOOL_PORT=1025
      - SIP_SMTP_HELFERTOOL_MAIL_PWD=dummy
      - SIP_AUTH_OIDC_AUTH_ENDPOINT=https://auth.vseth.ethz.ch/auth/realms/VSETH/protocol/openid-connect/auth
      - SIP_AUTH_OIDC_TOKEN_ENDPOINT=https://auth.vseth.ethz.ch/auth/realms/VSETH/protocol/openid-connect/token
      - SIP_AUTH_OIDC_JWKS_URL=https://auth.vseth.ethz.ch/auth/realms/VSETH/protocol/openid-connect/certs
      - SIP_AUTH_HELFERTOOL_CLIENT_ID=helfertool
      - SIP_AUTH_HELFERTOOL_CLIENT_SECRET=xxx
    ports:
      - "8080:80"
    depends_on:
      - db
      - mailserver
    links:
      - db
      - mailserver
